package org.seasar.quartz;

import org.quartz.JobDetail;
import org.quartz.Scheduler;

public class DelegatingJobDetail extends JobDetail {

    public DelegatingJobDetail() {
	setGroup(Scheduler.DEFAULT_GROUP);
	setJobClass(DelegatingJobProxy.class);
    }

    public void setJobComponentKey(Object jobComponentKey) {
	getJobDataMap().put(QuartzConstants.JOB_COMPONENT_KEY, jobComponentKey);
    }

    public void setStateful(boolean stateful) {
	setJobClass(stateful ? StatefulDelegatingJobProxy.class : DelegatingJobProxy.class);
    }
}
